Pricing
Access Amazon product pricing data with Web Scraper API. Retrieve price listings, discounts, and offers using ready-made examples and parameters.
The amazon_pricing source retrieves the offer listing of a product (all sellers' offers for an ASIN). With "parse": true the response is structured JSON (fields described in the data dictionary below); without it, content holds the HTML fragment of the offer listing.
Request samples
In the code examples below, we make a request to retrieve product offer listing page for ASIN B087TXHLVQ on amazon.nl marketplace.
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
"source": "amazon_pricing",
"domain": "nl",
"query": "B087TXHLVQ",
"parse": true
}'import requests
from pprint import pprint
# Structure payload.
payload = {
'source': 'amazon_pricing',
'domain': 'nl',
'query': 'B087TXHLVQ',
'parse': True
}
# Get response.
response = requests.request(
'POST',
'https://realtime.oxylabs.io/v1/queries',
auth=('USERNAME', 'PASSWORD'),
json=payload
)
# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())Request parameter values
source
Sets the scraper.
amazon_pricing
query
10-symbol ASIN code.
-
start_page
Starting page number.
1
pages
Number of pages to retrieve.
1
geo_location, domain, locale, context:currency
Localization parameters, see Localization and Filtering.
-
- mandatory parameter
Response example
A parsed offer listing for ASIN B087TXHLVQ on amazon.nl (lists shortened to one item, long values cut).
Localization and Filtering
IMPORTANT: On most page types, Amazon tailors the returned results based on the delivery location of their customers. Therefore, we advise using the geo_location parameter to set your preferred delivery location. You can read more about using geo_location with Amazon here.
geo_location
The Deliver to location: a ZIP or postal code of the marketplace country (e.g. 10001 on com) or a two-letter ISO country code (e.g. DE). Country or city names are not accepted.
-
domain
Amazon marketplace to scrape, e.g. com, co.uk, de. Full list in Domain & Locale.
com
locale
Interface language of the page (Accept-Language value). Values depend on the marketplace; an unsupported value returns 400 with the accepted list. Full list in Domain & Locale.
marketplace default
context:currency
Currency in which prices are shown. Available values depend on the marketplace and some marketplaces (including com) show their default currency only. Available and default values here.
marketplace default
Output data dictionary
HTML example

The amazon_pricing provides structured representation of pricing information for a specific product available on Amazon. The table below presents a detailed list of each field we parse, along with its description and data type. The table also includes some metadata.
JSON structure
url
The URL of the Amazon product page.
string
asin
Amazon Standard Identification Number.
string
page
The current page number.
integer
title
The title of the product.
string
pricing
A list of pricing details.
array
asin_in_url
Amazon Standard Identification Number retrieved from the URL.
string
review_count
The total number of reviews.
integer
parse_status_code
The status code of the parsing job. You can see the parser status codes described here.
integer
created_at
The timestamp when the scraping job was created.
timestamp
update_at
The timestamp when the scraping job was finished.
timestamp
job_id
The ID of the job associated with the scraping job.
string
status_code
The status code of the scraping job. You can see the scraper status codes described here.
integer
parser_type
The type of parser used for parsing the data.
string
Pricing
pricing includes details such as the price, seller, currency, delivery options, condition of the product, seller ID, and links to the seller's page. Additionally, the number of ratings received by the seller may be provided for further context.
price
The price of the product.
float
seller
The seller of the product.
string
currency
The currency in which the price is denominated.
string
delivery
The shipping location of the product.
string
condition
The condition of the product.
string
seller_id
The identification of the Amazon seller.
string
seller_link
The URL to the Amazon Seller's page.
string
rating_count
The total number of ratings submitted for the Amazon product.
integer
price_shipping
The shipping price.
float
delivery_options
Identifies the delivery options available.
array
delivery_options : type
The delivery option, e.g. free delivery.
string
delivery_options : date : by
The promised delivery date for this option.
string
max_quantity
The maximum quantity that can be ordered from this offer.
integer
offer_listing_id
Amazon's identifier of the offer listing.
string
seller_rating
The seller's rating shown with the offer.
integer
Last updated
Was this helpful?